ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.CmmToLlvm.Version.Type

# Documentation

newtype LlvmVersion #

Constructors

LlvmVersion |

Fields

- llvmVersionNE :: NonEmpty Int

#### Instances

Instances details

Eq LlvmVersion # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods (==) :: LlvmVersion -> LlvmVersion -> Bool # (/=) :: LlvmVersion -> LlvmVersion -> Bool #
Ord LlvmVersion # |
Instance details Defined in GHC.CmmToLlvm.Version.Type Methods compare :: LlvmVersion -> LlvmVersion -> Ordering # (<) :: LlvmVersion -> LlvmVersion -> Bool # (<=) :: LlvmVersion -> LlvmVersion -> Bool # (>) :: LlvmVersion -> LlvmVersion -> Bool # (>=) :: LlvmVersion -> LlvmVersion -> Bool # max :: LlvmVersion -> LlvmVersion -> LlvmVersion # min :: LlvmVersion -> LlvmVersion -> LlvmVersion #